window.addEventListener('liveload', function () {
  window.IcecatLive.getDatasheet({'videos': '#IcecatLive'}, {
	'shopname': 'openIcecat-live',
	'icecat_id': '35598021'
  }, 'EN');
})


window.onload = function () {
  const playButton = document.querySelector('#myPlayButton')
  const closeButton = document.querySelector('#close')
  const modal = document.querySelector('#modal')

  playButton.addEventListener('click', function () {
	if (window.IcecatLive) {
	  openModal()
	  window.IcecatLive.trigger('videos:play');
	}
  });
  closeButton.addEventListener('click', function () {
	if (window.IcecatLive) {
	  closeModal()
	  window.IcecatLive.trigger('videos:stop');
	}
  })

  function closeModal() {
	modal.style.display = 'none';
  }

  function openModal() {
	modal.style.display = 'block';
  }
}
